Summary: The ping program for checking to see if network hosts are alive.
Name: iputils
Version: 0.0.20001011
Release: 1tr
Copyright: BSD
Group: Network/Monitoring
Source0: http://ftp.sunet.se/pub/os/Linux/ip-routing/iputils-ss001011.tar.gz
Source1: bonding-0.2.tar.gz
Patch0: ping-deadline.patch
Patch9: iputils-20001010-rh6.patch
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-root
Obsoletes: ping

%description
The iputils package contains ping, a basic networking tool.  The ping
command sends a series of ICMP protocol ECHO_REQUEST packets to a
specified network host and can tell you if that machine is alive and
receiving network traffic.

%prep
%setup -q -n %{name} -a 1

rm -f bonding-0.2/ifenslave
mv -f bonding-0.2/README bonding-0.2/README.ifenslave

%patch0 -p1 -b .deadline
%patch9 -p1 -b .rh6

%build
make
make ifenslave -C bonding-0.2

%install
rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}
mkdir -p ${RPM_BUILD_ROOT}/{bin,sbin}
install -s -c arping		${RPM_BUILD_ROOT}%{_sbindir}/
install -s -c clockdiff		${RPM_BUILD_ROOT}%{_sbindir}/
%ifos linux
install -s -c ping		${RPM_BUILD_ROOT}/bin/
install -s -c bonding-0.2/ifenslave ${RPM_BUILD_ROOT}/sbin/
%else
install -s -c ping		${RPM_BUILD_ROOT}%{_sbindir}/
install -s -c bonding-0.2/ifenslave ${RPM_BUILD_ROOT}%{_sbindir}/
%endif
install -s -c ping6		${RPM_BUILD_ROOT}%{_sbindir}/
install -s -c rdisc		${RPM_BUILD_ROOT}%{_sbindir}/
install -s -c tracepath		${RPM_BUILD_ROOT}%{_sbindir}/
install -s -c tracepath6	${RPM_BUILD_ROOT}%{_sbindir}/
install -s -c traceroute6	${RPM_BUILD_ROOT}%{_sbindir}/

mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man8
install -c arping.8		${RPM_BUILD_ROOT}%{_mandir}/man8/
install -c clockdiff.8		${RPM_BUILD_ROOT}%{_mandir}/man8/
install -c in.rdisc.8c		${RPM_BUILD_ROOT}%{_mandir}/man8/in.rdisc.8
install -c ping.8		${RPM_BUILD_ROOT}%{_mandir}/man8/
install -c tracepath.8		${RPM_BUILD_ROOT}%{_mandir}/man8/

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc README RELNOTES bonding*/README.ifenslave
%{_sbindir}/arping
%{_sbindir}/clockdiff
%ifos linux
%attr(4755,root,root)	/bin/ping
/sbin/ifenslave
%else
%attr(4755,root,root)	%{_sbindir}/ping
%{_sbindir}/ifenslave
%endif
%{_sbindir}/ping6
%{_sbindir}/tracepath
%{_sbindir}/tracepath6
%{_sbindir}/traceroute6
%{_sbindir}/rdisc
%{_mandir}/man8/*

%changelog
* Fri Mar 30 2001 Erlend Midttun <erlendbm@trustix.com>
- Changed version number.

* Thu Oct 26 2000 Erlend Midttun <erlendbm@trustix.com>
- Adopted into TSL as replacement for ping package.
- Updated to ss001011.

* Tue Oct 10 2000 Jeff Johnson <jbj@redhat.com>
- update to ss001010.
- don't segfault as root with large buffers (#16677).

* Sun Oct  8 2000 Jeff Johnson <jbj@redhat.com>
- update to ss001007.

* Tue Aug  8 2000 Tim Waugh <twaugh@redhat.com>
- fix spelling mistake (#15714).

* Tue Aug  8 2000 Tim Waugh <twaugh@redhat.com>
- turn on -U on machines without TSC (#15223).

* Tue Aug  1 2000 Jeff Johnson <jbj@redhat.com>
- better doco patch (#15050).

* Tue Jul 25 2000 Jakub Jelinek <jakub@redhat.com>
- fix include-glibc/ to work with new glibc 2.2 resolver headers

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 18 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging.
- update to ss000418.
- perform reverse DNS lookup only once for same input.

* Sun Mar  5 2000 Jeff Johnson <jbj@redhat.com>
- include README.ifenslave doco.
- "ping -i N" was broke for N >= 3 (#9929).
- update to ss000121:
-- clockdiff: preserve raw socket errno.
-- ping: change error exit code to 1 (used to be 92,93, ...)
-- ping,ping6: if -w specified, transmit until -c limit is reached.
-- ping,ping6: exit code non-zero if some packets not received within deadline.

* Tue Feb 22 2000 Jeff Johnson <jbj@redhat.com>
- man page corrections (#9690).

* Wed Feb  9 2000 Jeff Johnson <jbj@jbj.org>
- add ifenslave.

* Thu Feb  3 2000 Elliot Lee <sopwith@redhat.com>
- List /usr/sbin/rdisc in %files list.

* Thu Jan 27 2000 Jeff Johnson <jbj@redhat.com>
- add remaining binaries.
- casts to remove compilation warnings.
- terminate if -w deadline is reached exactly (#8724).

* Fri Dec 24 1999 Jeff Johnson <jbj@redhat.com>
- create (only ping for now, traceroute et al soon).
